Exceptions

# Class: WideImage_Exception

Source Location: /Exception.php

### Class Overview

    RuntimeException
       |
       --WideImage_Exception

Base Exception class

### Child classes:

WideImage_UnknownImageOperationException

WideImage_InvalidImageDimensionException
  Thrown when an invalid dimension is passed for some operations

WideImage_UnknownErrorWhileMappingException
  Thrown when an image can't be saved (returns false by the mapper)

WideImage_Operation_InvalidFitMethodException
  An Exception for when an invalid fit method is passed

WideImage_Operation_InvalidResizeDimensionException
  An Exception for when an invalid resize dimensions are passed

WideImage_InvalidImageHandleException

WideImage_InvalidImageSourceException

WideImage_GDFunctionResultException

WideImage_InvalidCoordinateException

WideImage_UnsupportedFormatException
  Thrown when image format isn't supported

WideImage_NoFontException

WideImage_InvalidFontFileException

WideImage_InvalidCanvasMethodException

### Inherited Variables

#### Class: RuntimeException (Internal Class)

$code
$file
$line
$message

### Inherited Methods

#### Class: RuntimeException (Internal Class)

constructor __construct ( [$message = ], [$code = ], [$previous = ] )
getCode ( )
getFile ( )
getLine ( )
getMessage ( )
getPrevious ( )
getTrace ( )
getTraceAsString ( )
__clone ( )
__toString ( )

### Class Details

[line 30]
Base Exception class
[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:42 +0100 by phpDocumentor 1.4.3